# 22. Virtuoso Functions Guide - datestring_GMT

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
Aggregate Functions
Array Manipulation
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
datestring, ...
curdate
dateadd
datediff
datestring_gmt
dayname
dayofmonth
dayofweek
dayofyear
dt_set_tz
get_timestamp
getdate
hour
minute
month
monthname
msec_time
now
quarter
second
stringdate
stringtime
timezone
week
Debug
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
Number
Remote SQL Data Source
Replication
SOAP
SQL
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## datestring_GMT

convert a timestamp to external format string in GMT
datestring_GMT (in dt datetime);
Parameters
dt – A datetime value.
Return values

A VARCHAR containing the external representation.

Description

Converts the local datetime to GMT and returns its external representation as a string.

Examples
Example with datestring_GMT

We are at central european time zone CET(GMT+1).

    SQL> use Demo;

     Done. -- 3 msec.
     SQL> select (datestring_GMT (stringdate ('2000-01-01 22:00')));
     callret
     VARCHAR
     _______________________________________________________________________________

     2000-01-01 21:00:00.000000

     1 Rows. -- 45 msec.

See Also

datestring, stringdate

The discussion of TIMESTAMP datatype in section Database Concepts of the documentation.